Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway Class Reference

UrlWildcard Gateway. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway:

## Public Member Functions
| insertUrlWildcard (UrlWildcard $urlWildcard)
| Inserts the given UrlWildcard. More...
| deleteUrlWildcard ($id)
| Deletes the UrlWildcard with given $id. More...
| loadUrlWildcardData ($id)
| Loads an array with data about UrlWildcard with $id. More...
| loadUrlWildcardsData ($offset=0, $limit=-1)
| Loads an array with data about UrlWildcards (paged). More...
| loadUrlWildcardBySourceUrl (string $sourceUrl)
| Loads the UrlWildcard by source url $sourceUrl. More...

## Detailed Description

UrlWildcard Gateway.

Definition at line 14 of file Persistence/Legacy/Content/UrlWildcard/Gateway.php.

## Member Function Documentation

## ◆ deleteUrlWildcard()

eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway::deleteUrlWildcard | ( |  | $id | ) |
| abstract

Deletes the UrlWildcard with given $id.

Parameters

  mixed | $id |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\ExceptionConversion.

## ◆ insertUrlWildcard()

eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway::insertUrlWildcard | ( | UrlWildcard | $urlWildcard | ) |
| abstract

Inserts the given UrlWildcard.

Parameters

  \eZ\Publish\SPI\Persistence\Content\UrlWildcard | $urlWildcard |

Returns
  mixed UrlWildcard id

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\ExceptionConversion.

## ◆ loadUrlWildcardBySourceUrl()

eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway::loadUrlWildcardBySourceUrl | ( | string | $sourceUrl | ) |
| abstract

Loads the UrlWildcard by source url $sourceUrl.

Parameters

  string | $sourceUrl |

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\ExceptionConversion.

## ◆ loadUrlWildcardData()

eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway::loadUrlWildcardData | ( |  | $id | ) |
| abstract

Loads an array with data about UrlWildcard with $id.

Parameters

  mixed | $id |

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\ExceptionConversion.

## ◆ loadUrlWildcardsData()

eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway::loadUrlWildcardsData | ( |  | $offset = `0`,
|  |  | $limit = `-1`
| ) |  |
| abstract

Loads an array with data about UrlWildcards (paged).

Parameters

  mixed | $offset |
  mixed | $limit |

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\UrlWildcard\Gateway\ExceptionConversion.

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/UrlWildcard/Gateway.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.